<!-- radio -->
<div class="adm-radio">
    <input type="radio" class="radio" id="radio" name="radio" value="Option">
    <label for="radio" class="label">Option 1</label>
</div>

<!-- checkbox -->
<div class="adm-checkbox">
    <input type="checkbox" class="checkbox" id="checkbox" value="Option">
    <label for="checkbox" class="label">Ich habe blabla gelesen...</label>
</div>

<label for="switch" class="adm-switch">
    <input type="checkbox" id="switch" value="on">
    <div class="toggle"></div>
</label>


<!-- inputfield -->
<div class="adm-formfield">
    <div class="formfield-wrapper">
        <label class="formfield-label" for="field1">lorem ipsum</label>
        <input class="formfield-input" id="field1" type="text" aria-describedby="inputhelp" placeholder="Placeholder">
    </div>
    <small class="formfield-helper" id="inputhelp">Helptext or Errormessage</small>
</div>

<!-- textarea -->
<div class="adm-formfield">
    <div class="formfield-wrapper">
        <label class="formfield-label" for="textarea1">lorem ipsum</label>
        <textarea class="formfield-textarea" id="textarea1" placeholder="" aria-describedby="textareahelp"></textarea>
    </div>
    <small class="formfield-helper" id="textareahelp">Helptext or Errormessage</small>
</div>


<!-- select -->
<div class="adm-formfield">
    <div class="formfield-wrapper">
        <label class="formfield-label" for="textarea1">lorem ipsum</label>
        <select class="formfield-select" aria-labelledby="selecthelp">
            <option>lorem ipsum 1</option>
            <option>lorem ipsum 2</option>
            <option>lorem ipsum 3</option>
            <option>lorem ipsum 4</option>
        </select>
    </div>
    <small class="formfield-helper" id="selecthelp">Helptext or Errormessage</small>
</div>





<!-- formgroup - semantic form group to group form elements together -->
<fieldset class="adm-formgroup">
    <legend class="formgroup-label">Label for formgroup</legend>
    <div class="formgroup-wrapper">
        <!-- inhalt -->
    </div>
    <small class="formgroup-helper"></small>
</fieldset>



<!-- adm stack - stacks elements togeter in x or y direction -->
<div class="adm-stack" data-direction="x">
    
</div>




<!-- radio group -->
<fieldset class="adm-radiogroup" data-direction="x" >
    <legend class="radiogroup-label">Label for Radiogroup</legend>
    <div class="radiogroup-wrapper">
        <div class="adm-radio">
            <input type="radio" id="radio1" name="radioexample" value="Option 1" checked>
            <label for="radio1">Option 1</label>
        </div>
        <div class="adm-radio">
            <input type="radio" id="radio2" name="radioexample" value="Option 2">
            <label for="radio1">Option 2</label>
        </div>
        <div class="adm-radio">
            <input type="radio" id="radio3" name="radioexample" value="Option 3">
            <label for="radio1">Option 3</label>
        </div>
    </div>
    <small class="radiogroup-helper"></small>
</fieldset>

    



<!-- checkbox group -->
<div class="adm-checkbox-group">
    <fieldset class="radiogroup-wrapper">
        <legend class="radiogroup-label">Label for Radiogroup</legend>
        <div class="adm-checkbox">
            <input type="checkbox" id="checkbox1" value="Option 1">
            <label for="checkbox1">Option 1</label>
        </div>
        <div class="adm-checkbox">
            <input type="checkbox" id="checkbox2" value="Option 2">
            <label for="checkbox2">Option 2</label>
        </div>
        <div class="adm-checkbox">
            <input type="checkbox" id="checkbox3" value="Option 3">
            <label for="checkbox3">Option 3</label>
        </div>
    </fieldset>
    <small class="checkboxgroup-helper"></small>
</div>